## smooth 1.4.3

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using Smoothing Functions
Version: 1.4.3
Date: 2016-09-16
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Research Associate at Lancaster Centre for Forecasting, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Description: The set of smoothing functions used for time series analysis and in forecasting.
             Currently the package includes exponential smoothing models and SARIMA in state-space
             form + several simulation functions.
License: GPL (>= 2)
Depends: R (>= 3.0.2)
Imports: Rcpp (>= 0.12.3), stats, graphics, zoo, nloptr, polynom
LinkingTo: Rcpp, RcppArmadillo (>= 0.6.500.0.0)
Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2016-09-16 13:34:12 UTC; config
Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
    Forecasting, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2016-09-17 00:52:33

## smooth 0.9.10

=== debian/changelog ===
smooth (0.9.10-1) unstable; urgency=medium

  * Initial release. (Closes: #1127483)

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 09 Feb 2026 18:15:51 -0800

=== debian/control ===
Source: smooth
Section: libs
Maintainer: Xiyue Deng <manphiz@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libbz2-dev,
 libcairo2-dev,
 libcpuid-dev,
 libcurl4-openssl-dev | libcurl4-dev,
 libfribidi-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libpng-dev,
 libwebp-dev,
 libxml2-dev,
 zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://www.smooth-project.org/
Vcs-Browser: https://salsa.debian.org/debian/smooth
Vcs-Git: https://salsa.debian.org/debian/smooth.git

Package: libsmooth-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsmooth-0.9-0 (= ${binary:Version}),
 ${misc:Depends},
Description: Smooth Class Library (development files)
 smooth is an object oriented C++ class library for Windows, macOS,
 Linux and most Unix-like operating systems. It provides basic
 functionality and platform support for applications and libraries.
 .
 Features provided by smooth include:
 .
  * user interface API with various widgets
  * simple to use multithreading API
  * file and network IO interface
  * completely transparent Unicode and software internationalization
    support
  * a libxml2 based XML parser
 .
 This package contains the development files.

Package: libsmooth-0.9-0
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Smooth Class Library (runtime libraries)
 smooth is an object oriented C++ class library for Windows, macOS,
 Linux and most Unix-like operating systems. It provides basic
 functionality and platform support for applications and libraries.
 .
 Features provided by smooth include:
 .
  * user interface API with various widgets
  * simple to use multithreading API
  * file and network IO interface
  * completely transparent Unicode and software internationalization
    support
  * a libxml2 based XML parser
 .
 This package contains the runtime libraries.

Package: libsmooth-bin
Architecture: any
Multi-Arch: no
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Smooth Class Library (binary files)
 smooth is an object oriented C++ class library for Windows, macOS,
 Linux and most Unix-like operating systems. It provides basic
 functionality and platform support for applications and libraries.
 .
 Features provided by smooth include:
 .
  * user interface API with various widgets
  * simple to use multithreading API
  * file and network IO interface
  * completely transparent Unicode and software internationalization
    support
  * a libxml2 based XML parser
 .
 This package contains the binary files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2
DEB_CXXFLAGS_MAINT_APPEND = -D_FORTIFY_SOURCE=2
export DEB_BUILD_MAINT_OPTIONS DEB_CFLAGS_MAINT_APPEND DEB_CXXFLAGS_MAINT_APPEND

SMOOTH_MAKE_CONFIG = 'config="\
systemlibbz2,\
systemlibcpuid,\
systemlibcurl,\
systemlibfribidi,\
systemlibiconv,\
systemlibjpeg,\
systemlibpng,\
systemlibwebp,\
systemlibxml2,\
systemzlib,\
"'

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- prefix=/usr $(SMOOTH_MAKE_CONFIG)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr $(SMOOTH_MAKE_CONFIG)

=== debian/watch ===
Version: 5

Template: Github
Owner: enzo1982
Project: smooth

## smooth 1.4.4

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using Smoothing Functions
Version: 1.4.4
Date: 2016-09-20
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Research Associate at Lancaster Centre for Forecasting, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Description: The set of smoothing functions used for time series analysis and in forecasting.
             Currently the package includes exponential smoothing models and SARIMA in state-space
             form + several simulation functions.
License: GPL (>= 2)
Depends: R (>= 3.0.2)
Imports: Rcpp (>= 0.12.3), stats, graphics, zoo, nloptr, polynom, utils
LinkingTo: Rcpp, RcppArmadillo (>= 0.6.500.0.0)
Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2016-09-20 21:25:24 UTC; config
Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
    Forecasting, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2016-09-21 00:16:30

## smooth 1.4.5

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using Smoothing Functions
Version: 1.4.5
Date: 2016-10-16
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Research Associate at Lancaster Centre for Forecasting, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Description: The set of smoothing functions used for time series analysis and in forecasting.
             Currently the package includes exponential smoothing models and SARIMA in state-space
             form + several simulation functions.
License: GPL (>= 2)
Depends: R (>= 3.0.2)
Imports: Rcpp (>= 0.12.3), stats, graphics, zoo, nloptr, utils
LinkingTo: Rcpp, RcppArmadillo (>= 0.6.500.0.0)
Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2016-10-17 09:59:08 UTC; config
Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
    Forecasting, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2016-10-17 12:41:22

## smooth 1.4.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.4.5
-Date: 2016-10-16
+Version: 1.4.6
+Date: 2016-11-01
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,9 +17,9 @@
 Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-10-17 09:59:08 UTC; config
+Packaged: 2016-10-25 08:18:54 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2016-10-17 12:41:22
+Date/Publication: 2016-10-25 20:32:24

## smooth 1.4.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.4.6
+Version: 1.4.7
 Date: 2016-11-01
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
@@ -17,9 +17,9 @@
 Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-10-25 08:18:54 UTC; config
+Packaged: 2016-11-01 02:22:11 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2016-10-25 20:32:24
+Date/Publication: 2016-11-01 11:07:30

## smooth 1.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.4.7
-Date: 2016-11-01
+Version: 1.5.0
+Date: 2016-11-13
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,9 +17,9 @@
 Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-11-01 02:22:11 UTC; config
+Packaged: 2016-11-12 22:54:02 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2016-11-01 11:07:30
+Date/Publication: 2016-11-15 10:02:00

## smooth 1.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.5.0
-Date: 2016-11-13
+Version: 1.5.1
+Date: 2016-11-30
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,9 +17,9 @@
 Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-11-12 22:54:02 UTC; config
+Packaged: 2016-11-30 21:42:10 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2016-11-15 10:02:00
+Date/Publication: 2016-12-01 08:28:43

## smooth 1.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.5.1
-Date: 2016-11-30
+Version: 1.5.2
+Date: 2016-12-18
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,9 +17,9 @@
 Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-11-30 21:42:10 UTC; config
+Packaged: 2016-12-18 16:52:14 UTC; isvetunkov
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2016-12-01 08:28:43
+Date/Publication: 2016-12-18 19:17:02

## smooth 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.5.2
-Date: 2016-12-18
+Version: 1.6.0
+Date: 2017-01-27
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,9 +17,9 @@
 Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-12-18 16:52:14 UTC; isvetunkov
+Packaged: 2017-01-27 01:14:46 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2016-12-18 19:17:02
+Date/Publication: 2017-01-27 10:39:58

## smooth 1.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.6.0
+Version: 1.6.1
 Date: 2017-01-27
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
@@ -17,9 +17,9 @@
 Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2017-01-27 01:14:46 UTC; config
+Packaged: 2017-01-27 14:14:17 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2017-01-27 10:39:58
+Date/Publication: 2017-01-28 17:37:17

## smooth 1.6.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.6.1
-Date: 2017-01-27
+Version: 1.6.3
+Date: 2017-02-14
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,9 +17,9 @@
 Suggests: Mcomp, forecast, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2017-01-27 14:14:17 UTC; config
+Packaged: 2017-02-10 12:07:05 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2017-01-28 17:37:17
+Date/Publication: 2017-02-11 10:04:42

## smooth 1.7.0

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using Smoothing Functions
Version: 1.7.0
Date: 2017-02-24
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Research Associate at Lancaster Centre for Forecasting, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Description: The set of smoothing functions used for time series analysis and
    in forecasting. Currently the package includes exponential smoothing models and
    SARIMA in state-space form + several simulation functions.
License: GPL (>= 2)
Depends: R (>= 3.0.2)
Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
        zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.6.500.0.0)
Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-02-24 17:59:31 UTC; config
Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
    Forecasting, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2017-02-24 23:29:53

## smooth 1.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.7.0
-Date: 2017-02-24
+Version: 1.9.0
+Date: 2017-03-18
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -19,9 +19,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-02-24 17:59:31 UTC; config
+Packaged: 2017-03-16 19:39:40 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2017-02-24 23:29:53
+Date/Publication: 2017-03-16 23:17:04 UTC

## smooth 1.9.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.9.0
-Date: 2017-03-18
+Version: 1.9.9
+Date: 2017-05-03
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -19,9 +19,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-03-16 19:39:40 UTC; config
+Packaged: 2017-05-02 22:22:47 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2017-03-16 23:17:04 UTC
+Date/Publication: 2017-05-03 06:50:01 UTC

## smooth 2.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 1.9.9
-Date: 2017-05-03
+Version: 2.0.0
+Date: 2017-07-03
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -19,9 +19,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-05-02 22:22:47 UTC; config
+Packaged: 2017-07-02 14:17:43 UTC; isvetunkov
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2017-05-03 06:50:01 UTC
+Date/Publication: 2017-07-02 22:54:47 UTC

## smooth 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 2.0.0
-Date: 2017-07-03
+Version: 2.1.0
+Date: 2017-08-01
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -19,9 +19,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-07-02 14:17:43 UTC; isvetunkov
+Packaged: 2017-08-01 09:37:05 UTC; isvetunkov
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2017-07-02 22:54:47 UTC
+Date/Publication: 2017-08-01 11:02:54 UTC

## smooth 2.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 2.1.0
-Date: 2017-08-01
+Version: 2.1.1
+Date: 2017-09-04
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -19,9 +19,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-08-01 09:37:05 UTC; isvetunkov
+Packaged: 2017-09-04 09:50:55 UTC; isvetunkov
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2017-08-01 11:02:54 UTC
+Date/Publication: 2017-09-05 07:26:46 UTC

## smooth 2.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 2.1.1
-Date: 2017-09-04
+Version: 2.2.0
+Date: 2017-10-27
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Research Associate at Lancaster Centre for Forecasting, UK")
 URL: https://github.com/config-i1/smooth
@@ -19,9 +19,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-09-04 09:50:55 UTC; isvetunkov
+Packaged: 2017-10-27 16:49:11 UTC; isvetunkov
 Author: Ivan Svetunkov [aut, cre] (Research Associate at Lancaster Centre for
     Forecasting, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2017-09-05 07:26:46 UTC
+Date/Publication: 2017-10-27 21:25:00 UTC

## smooth 2.2.1

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using Smoothing Functions
Version: 2.2.1
Date: 2017-11-15
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Lecturer at Lancaster Centre for Marketing Analytics and Forecasting, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Description: The set of smoothing functions used for time series analysis and
    in forecasting. Currently the package includes exponential smoothing models and
    SARIMA in state-space form + several simulation functions.
License: GPL (>= 2)
Depends: R (>= 3.0.2)
Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
        zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-11-15 21:52:04 UTC; config
Author: Ivan Svetunkov [aut, cre] (Lecturer at Lancaster Centre for Marketing
    Analytics and Forecasting, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2017-11-15 23:39:22 UTC

## smooth 2.3.0

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using Smoothing Functions
Version: 2.3.0
Date: 2017-12-23
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Description: The set of smoothing functions used for time series analysis and
    in forecasting. Currently the package includes exponential smoothing models and
    SARIMA in state-space form + several simulation functions.
License: GPL (>= 2)
Depends: R (>= 3.0.2)
Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
        zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-12-23 18:21:22 UTC; config
Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
    and Forecasting, Lancaster University, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2017-12-23 21:54:44 UTC

## smooth 2.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 2.3.0
-Date: 2017-12-23
+Version: 2.3.1
+Date: 2018-01-13
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -19,9 +19,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-12-23 18:21:22 UTC; config
+Packaged: 2018-01-13 14:44:31 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2017-12-23 21:54:44 UTC
+Date/Publication: 2018-01-13 17:08:26 UTC

## smooth 2.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using Smoothing Functions
-Version: 2.3.1
-Date: 2018-01-13
+Version: 2.4.0
+Date: 2018-02-10
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -19,9 +19,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-01-13 14:44:31 UTC; config
+Packaged: 2018-02-11 01:21:00 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2018-01-13 17:08:26 UTC
+Date/Publication: 2018-02-11 14:19:38 UTC

## smooth 2.4.1

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using Smoothing Functions
Version: 2.4.1
Date: 2018-03-04
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Description: Functions implementing Single Source of Error state-space models for purposes of time series
            analysis and forecasting. The package includes exponential smoothing, SARIMA in state-space forms and
            several simulation functions.
License: GPL (>= 2)
Depends: R (>= 3.0.2)
Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
        zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-03-04 11:14:53 UTC; config
Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
    and Forecasting, Lancaster University, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2018-03-06 07:33:59 UTC

## smooth 2.4.3

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using Smoothing Functions
Version: 2.4.3
Date: 2018-05-03
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Description: Functions implementing Single Source of Error state-space models for purposes of time series
            analysis and forecasting. The package includes exponential smoothing, SARIMA in state-space forms and
            several simulation functions.
License: GPL (>= 2)
Depends: R (>= 3.0.2), greybox (>= 0.2.1)
Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
        zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-05-03 13:11:17 UTC; config
Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
    and Forecasting, Lancaster University, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2018-05-03 15:30:00 UTC

## smooth 2.4.4

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using State Space Models
Version: 2.4.4
Date: 2018-05-31
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Description: Functions implementing Single Source of Error state space models for purposes
             of time series analysis and forecasting. The package includes Exponential Smoothing,
             SARIMA, Complex Exponential Smoothing, Simple Moving Average, Vector Exponential
             Smoothing in state space forms, several simulation functions and intermittent demand
             state space models.
License: GPL (>= 2)
Depends: R (>= 3.0.2), greybox (>= 0.2.2)
Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
        zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-05-31 10:53:23 UTC; config
Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
    and Forecasting, Lancaster University, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2018-06-03 17:00:37 UTC

## smooth 2.4.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.4.4
-Date: 2018-05-31
+Version: 2.4.5
+Date: 2018-07-03
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -21,9 +21,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-05-31 10:53:23 UTC; config
+Packaged: 2018-07-03 17:25:12 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2018-06-03 17:00:37 UTC
+Date/Publication: 2018-07-03 18:20:03 UTC

## smooth 2.4.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.4.5
-Date: 2018-07-03
+Version: 2.4.6
+Date: 2018-08-25
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -13,17 +13,18 @@
              Smoothing in state space forms, several simulation functions and intermittent demand
              state space models.
 License: GPL (>= 2)
-Depends: R (>= 3.0.2), greybox (>= 0.2.2)
+Depends: R (>= 3.0.2), greybox (>= 0.2.3)
 Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
         zoo
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
 Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2018-07-03 17:25:12 UTC; config
+Packaged: 2018-08-25 14:46:09 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2018-07-03 18:20:03 UTC
+Date/Publication: 2018-08-25 20:30:03 UTC

## smooth 2.4.7

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using State Space Models
Version: 2.4.7
Date: 2018-11-30
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Language: en-GB
Description: Functions implementing Single Source of Error state space models for purposes
             of time series analysis and forecasting. The package includes Exponential Smoothing,
             SARIMA, Complex Exponential Smoothing, Simple Moving Average, Vector Exponential
             Smoothing in state space forms, several simulation functions and intermittent demand
             state space models.
License: GPL (>= 2)
Depends: R (>= 3.0.2), greybox (>= 0.3.3)
Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
        zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2018-11-30 15:46:23 UTC; isvetunkov
Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
    and Forecasting, Lancaster University, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2018-12-02 17:00:03 UTC

## smooth 2.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.4.7
-Date: 2018-11-30
+Version: 2.5.0
+Date: 2019-04-25
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -14,7 +14,7 @@
              Smoothing in state space forms, several simulation functions and intermittent demand
              state space models.
 License: GPL (>= 2)
-Depends: R (>= 3.0.2), greybox (>= 0.3.3)
+Depends: R (>= 3.0.2), greybox (>= 0.5.0)
 Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
         zoo
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
@@ -23,9 +23,9 @@
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2018-11-30 15:46:23 UTC; isvetunkov
+Packaged: 2019-04-25 18:08:23 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2018-12-02 17:00:03 UTC
+Date/Publication: 2019-04-25 22:50:56 UTC

## smooth 2.5.1

=== DESCRIPTION ===
Package: smooth
Type: Package
Title: Forecasting Using State Space Models
Version: 2.5.1
Date: 2019-06-13
Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                  comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
URL: https://github.com/config-i1/smooth
BugReports: https://github.com/config-i1/smooth/issues
Language: en-GB
Description: Functions implementing Single Source of Error state space models for purposes of time series analysis and forecasting.
             The package includes Exponential Smoothing (Hyndman et al., 2008, <doi: 10.1007/978-3-540-71918-2>),
             SARIMA (Svetunkov & Boylan, 2019 <doi: 10.1080/00207543.2019.1600764>),
             Complex Exponential Smoothing (Svetunkov & Kourentzes, 2018, <doi: 10.13140/RG.2.2.24986.29123>),
             Simple Moving Average (Svetunkov & Petropoulos, 2018 <doi: 10.1080/00207543.2017.1380326>),
             Vector Exponential Smoothing (de Silva et al., 2010, <doi: 10.1177/1471082X0901000401>) in state space forms,
             several simulation functions and intermittent demand state space models. It also allows dealing with
             intermittent demand based on the iETS framework (Svetunkov & Boylan, 2017, <doi: 10.13140/RG.2.2.35897.06242>).
License: GPL (>= 2)
Depends: R (>= 3.0.2), greybox (>= 0.5.0)
Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
        zoo
LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2019-06-13 11:00:38 UTC; config
Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
    and Forecasting, Lancaster University, UK)
Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
Repository: CRAN
Date/Publication: 2019-06-14 16:10:03 UTC

## smooth 2.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.5.1
-Date: 2019-06-13
+Version: 2.5.2
+Date: 2019-07-24
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -18,17 +18,17 @@
              intermittent demand based on the iETS framework (Svetunkov & Boylan, 2017, <doi: 10.13140/RG.2.2.35897.06242>).
 License: GPL (>= 2)
 Depends: R (>= 3.0.2), greybox (>= 0.5.0)
-Imports: Rcpp (>= 0.12.3), stats, graphics, forecast, nloptr, utils,
-        zoo
+Imports: Rcpp (>= 0.12.3), stats, graphics, forecast (>= 7.0), nloptr,
+        utils, zoo
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
 Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-06-13 11:00:38 UTC; config
+Packaged: 2019-07-24 17:35:57 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2019-06-14 16:10:03 UTC
+Date/Publication: 2019-07-25 15:40:05 UTC

## smooth 2.5.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.5.2
-Date: 2019-07-24
+Version: 2.5.3
+Date: 2019-08-19
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,7 +17,7 @@
              several simulation functions and intermittent demand state space models. It also allows dealing with
              intermittent demand based on the iETS framework (Svetunkov & Boylan, 2017, <doi: 10.13140/RG.2.2.35897.06242>).
 License: GPL (>= 2)
-Depends: R (>= 3.0.2), greybox (>= 0.5.0)
+Depends: R (>= 3.0.2), greybox (>= 0.5.3)
 Imports: Rcpp (>= 0.12.3), stats, graphics, forecast (>= 7.0), nloptr,
         utils, zoo
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
@@ -26,9 +26,9 @@
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-07-24 17:35:57 UTC; config
+Packaged: 2019-08-19 13:10:03 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2019-07-25 15:40:05 UTC
+Date/Publication: 2019-08-19 18:10:06 UTC

## smooth 2.5.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.5.3
-Date: 2019-08-19
+Version: 2.5.4
+Date: 2019-10-22
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -26,9 +26,9 @@
 RoxygenNote: 6.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-08-19 13:10:03 UTC; config
+Packaged: 2019-10-21 23:05:59 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2019-08-19 18:10:06 UTC
+Date/Publication: 2019-10-22 16:50:02 UTC

## smooth 2.5.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.5.4
-Date: 2019-10-22
+Version: 2.5.5
+Date: 2020-02-08
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -23,12 +23,12 @@
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
 Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-10-21 23:05:59 UTC; config
+Packaged: 2020-02-08 18:31:58 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2019-10-22 16:50:02 UTC
+Date/Publication: 2020-02-08 19:20:02 UTC

## smooth 2.5.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.5.5
-Date: 2020-02-08
+Version: 2.5.6
+Date: 2020-03-31
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,7 +17,7 @@
              several simulation functions and intermittent demand state space models. It also allows dealing with
              intermittent demand based on the iETS framework (Svetunkov & Boylan, 2017, <doi: 10.13140/RG.2.2.35897.06242>).
 License: GPL (>= 2)
-Depends: R (>= 3.0.2), greybox (>= 0.5.3)
+Depends: R (>= 3.0.2), greybox (>= 0.5.9)
 Imports: Rcpp (>= 0.12.3), stats, graphics, forecast (>= 7.0), nloptr,
         utils, zoo
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
@@ -26,9 +26,9 @@
 RoxygenNote: 7.0.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-02-08 18:31:58 UTC; config
+Packaged: 2020-04-04 16:18:34 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2020-02-08 19:20:02 UTC
+Date/Publication: 2020-04-05 05:00:06 UTC

## smooth 2.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.5.6
-Date: 2020-03-31
+Version: 2.6.0
+Date: 2020-06-16
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -23,12 +23,12 @@
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
 Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.0
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-04-04 16:18:34 UTC; config
+Packaged: 2020-06-16 10:00:33 UTC; isvetunkov
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2020-04-05 05:00:06 UTC
+Date/Publication: 2020-06-17 04:10:03 UTC

## smooth 3.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 2.6.0
-Date: 2020-06-16
+Version: 3.0.0
+Date: 2020-12-08
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,18 +17,19 @@
              several simulation functions and intermittent demand state space models. It also allows dealing with
              intermittent demand based on the iETS framework (Svetunkov & Boylan, 2017, <doi: 10.13140/RG.2.2.35897.06242>).
 License: GPL (>= 2)
-Depends: R (>= 3.0.2), greybox (>= 0.5.9)
-Imports: Rcpp (>= 0.12.3), stats, graphics, forecast (>= 7.0), nloptr,
-        utils, zoo
+Depends: R (>= 3.0.2), greybox (>= 0.6.2)
+Imports: Rcpp (>= 0.12.3), stats, graphics, grDevices, forecast (>=
+        7.0), pracma, statmod, MASS, nloptr, utils, zoo
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
-Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown
+Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown, doMC,
+        doParallel, foreach
 VignetteBuilder: knitr
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-06-16 10:00:33 UTC; isvetunkov
+Packaged: 2020-12-08 21:23:36 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2020-06-17 04:10:03 UTC
+Date/Publication: 2020-12-09 10:50:02 UTC

## smooth 3.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 3.0.0
-Date: 2020-12-08
+Version: 3.0.1
+Date: 2021-01-12
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,7 +17,7 @@
              several simulation functions and intermittent demand state space models. It also allows dealing with
              intermittent demand based on the iETS framework (Svetunkov & Boylan, 2017, <doi: 10.13140/RG.2.2.35897.06242>).
 License: GPL (>= 2)
-Depends: R (>= 3.0.2), greybox (>= 0.6.2)
+Depends: R (>= 3.0.2), greybox (>= 0.6.5)
 Imports: Rcpp (>= 0.12.3), stats, graphics, grDevices, forecast (>=
         7.0), pracma, statmod, MASS, nloptr, utils, zoo
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
@@ -27,9 +27,9 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-12-08 21:23:36 UTC; config
+Packaged: 2021-01-12 23:07:09 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2020-12-09 10:50:02 UTC
+Date/Publication: 2021-01-13 10:50:05 UTC

## smooth 3.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: smooth
 Type: Package
 Title: Forecasting Using State Space Models
-Version: 3.0.1
-Date: 2021-01-12
+Version: 3.1.0
+Date: 2021-02-19
 Authors@R: person("Ivan", "Svetunkov", email = "ivan@svetunkov.ru", role = c("aut", "cre"),
                   comment="Lecturer at Centre for Marketing Analytics and Forecasting, Lancaster University, UK")
 URL: https://github.com/config-i1/smooth
@@ -17,19 +17,19 @@
              several simulation functions and intermittent demand state space models. It also allows dealing with
              intermittent demand based on the iETS framework (Svetunkov & Boylan, 2017, <doi: 10.13140/RG.2.2.35897.06242>).
 License: GPL (>= 2)
-Depends: R (>= 3.0.2), greybox (>= 0.6.5)
-Imports: Rcpp (>= 0.12.3), stats, graphics, grDevices, forecast (>=
-        7.0), pracma, statmod, MASS, nloptr, utils, zoo
+Depends: R (>= 3.0.2), greybox (>= 0.6.7)
+Imports: Rcpp (>= 0.12.3), stats, graphics, grDevices, pracma, statmod,
+        MASS, nloptr, utils, zoo
 LinkingTo: Rcpp, RcppArmadillo (>= 0.8.100.0.0)
-Suggests: Mcomp, numDeriv, testthat, knitr, rmarkdown, doMC,
-        doParallel, foreach
+Suggests: Mcomp, forecast (>= 7.0), numDeriv, testthat, knitr,
+        rmarkdown, doMC, doParallel, foreach
 VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2021-01-12 23:07:09 UTC; config
+Packaged: 2021-02-19 16:55:03 UTC; config
 Author: Ivan Svetunkov [aut, cre] (Lecturer at Centre for Marketing Analytics
     and Forecasting, Lancaster University, UK)
 Maintainer: Ivan Svetunkov <ivan@svetunkov.ru>
 Repository: CRAN
-Date/Publication: 2021-01-13 10:50:05 UTC
+Date/Publication: 2021-02-20 05:50:02 UTC
